--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: formal_types
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: receiver_type
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: return_type
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: []

full_name: FunctionType
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: ==
- !ruby/object:RI::MethodSummary 
  name: to_s
- !ruby/object:RI::MethodSummary 
  name: unify_components
name: FunctionType
superclass: Object
